## alevt 1.5.1

=== Makefile ===
VER=1.5.1
OPT=-O2 -s
DEFS=-DWITH_PNG

CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I/usr/X11R6/include -I/usr/local/include -W

EXPOBJS=export.o exp-txt.o exp-html.o exp-gfx.o font.o
OBJS=main.o ui.o xio.o fdset.o vbi.o cache.o help.o edline.o search.o edit.o misc.o hamm.o lang.o $(EXPOBJS)
TOBJS=alevt-date.o vbi.o fdset.o misc.o hamm.o lang.o
COBJS=alevt-cap.o vbi.o fdset.o misc.o hamm.o lang.o $(EXPOBJS)

ifneq ($(findstring WITH_PNG,$(DEFS)),)
EXPLIBS=-L/usr/local/lib -lpng -lz -lm
endif

all: alevt alevt-date alevt-cap alevt.1x alevt-date.1 alevt-cap.1
	sync

alevt: $(OBJS)
	$(CC) $(OPT) $(OBJS) -o alevt -L/usr/X11R6/lib -lX11 $(EXPLIBS)

alevt-date: $(TOBJS)
	$(CC) $(OPT) $(TOBJS) -o alevt-date

alevt-cap: $(COBJS)
	$(CC) $(OPT) $(COBJS) -o alevt-cap $(EXPLIBS)

font.h: fontsize.h
fontsize.h: font1.xbm font2.xbm
	fgrep -h "#define" font1.xbm font2.xbm >fontsize.h

font1.xbm: bdf2xbm vtxt-latin-1.bdf
	./bdf2xbm font1 <vtxt-latin-1.bdf >font1.xbm

font2.xbm: bdf2xbm vtxt-latin-2.bdf
	./bdf2xbm font2 <vtxt-latin-2.bdf >font2.xbm

bdf2xbm: bdf2xbm.c
	$(CC) -O -s bdf2xbm.c -o bdf2xbm

alevt.1x: alevt.1x.in
	sed s/VERSION/$(VER)/g <alevt.1x.in >alevt.1x

alevt-date.1: alevt-date.1.in
	sed s/VERSION/$(VER)/g <alevt-date.1.in >alevt-date.1

alevt-cap.1: alevt-cap.1.in
	sed s/VERSION/$(VER)/g <alevt-cap.1.in >alevt-cap.1

clean:
	rm -f *.o page*.txt a.out core bdf2xbm font?.xbm fontsize.h Makefile.bak
	rm -f alevt alevt-date alevt-cap
	rm -f alevt.1x alevt-date.1 alevt-cap.1
	rm -f contrib/a.out ttext-*.*
	rm -f alevt.html

rpm-install: all
	install -m 0755 alevt		${RPM_BUILD_ROOT}/usr/X11R6/bin
	install -m 0755 alevt-date	${RPM_BUILD_ROOT}/usr/X11R6/bin
	install -m 0755 alevt-cap	${RPM_BUILD_ROOT}/usr/X11R6/bin
	install -m 0644 alevt.1x	${RPM_BUILD_ROOT}/usr/X11R6/man/man1
	install -m 0644 alevt-date.1	${RPM_BUILD_ROOT}/usr/X11R6/man/man1
	install -m 0644 alevt-cap.1	${RPM_BUILD_ROOT}/usr/X11R6/man/man1

# anything below this line is just for me!

install: all
	install -m 0755 alevt		/usr/local/bin
	install -m 0755 alevt-date	/usr/local/bin
	install -m 0755 alevt-cap	/usr/local/bin
	install -m 0644 alevt.1x	/usr/local/man/man1
	install -m 0644 alevt-date.1	/usr/local/man/man1
	install -m 0644 alevt-cap.1	/usr/local/man/man1
	install -m 0644 contrib/mini-alevt.xpm /usr/include/X11/pixmaps
	sync

depend:
	makedepend -Y -- $(CFLAGS_none) -- *.c 2>/dev/null

tar-html: alevt.1x alevt-date.1 alevt-cap.1
	for i in alevt.1x alevt-date.1 alevt-cap.1 ; do \
	    j=`basename $$i .1` ; \
	    j=`basename $$j .1x` ; \
	    nroff -man $$i | { \
		echo "<HTML><HEAD><TITLE>AleVT</TITLE></HEAD><BODY>" ; \
		man2html -bare -uelem U -nodepage ; \
		echo "</B0DY></HTML>" ; \
	    } | sed -e "s,</B> <B>, ,g" -e "s,</U> <U>, ,g" >~/exit/alevt/$$j.html ;\
	done

tar: tar-html clean
	sed s/VERSION/$(VER)/g <alevt.lsm.in >~/exit/alevt/alevt-$(VER).lsm
	sed s/VERSION/$(VER)/g <alevt.spec.in >alevt.spec
	cd .. ;\
	    ln -s alevt alevt-$(VER) ;\
	    tar vcfz ~/exit/alevt/alevt-$(VER).tar.gz alevt-$(VER)/* ;\
	    rm alevt-$(VER)
	cat <CHANGELOG >~/exit/alevt/changes

# DO NOT DELETE

alevt-cap.o: vt.h misc.h fdset.h dllist.h vbi.h cache.h lang.h export.h
alevt-date.o: os.h vt.h misc.h fdset.h dllist.h vbi.h cache.h lang.h
cache.o: misc.h dllist.h cache.h vt.h help.h
convert.o: vt.h misc.h cache.h dllist.h search.h
edit.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h edit.h edline.h
edline.o: vt.h misc.h xio.h dllist.h edline.h
exp-gfx.o: lang.h misc.h vt.h export.h font.h fontsize.h
exp-html.o: lang.h misc.h vt.h export.h
exp-txt.o: os.h export.h vt.h misc.h
export.o: vt.h misc.h export.h
fdset.o: dllist.h misc.h fdset.h
font.o: font1.xbm font2.xbm
hamm.o: vt.h misc.h hamm.h
help.o: vt.h misc.h vt900.out vt901-02.out vt901-01.out vt902.out vt903.out
help.o: vt910.out vt911-02.out vt911-01.out vt912-02.out vt912-01.out
help.o: vt913.out vt914-02.out vt914-01.out vt915.out vt999.out
lang.o: misc.h vt.h lang.h
main.o: vt.h misc.h fdset.h dllist.h xio.h vbi.h cache.h lang.h ui.h edline.h
main.o: search.h
misc.o: misc.h
search.o: vt.h misc.h cache.h dllist.h search.h
ui.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h fdset.h edit.h edline.h
ui.o: search.h export.h ui.h
vbi.o: os.h vt.h misc.h vbi.h dllist.h cache.h lang.h fdset.h hamm.h
xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h fontsize.h

## alevt 1.6.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
-VER=1.5.1
+VER=1.6.0
 OPT=-O2 -s
+#OPT=-O -g
 DEFS=-DWITH_PNG
+FONT=vtxt
+# a smaller and thinner font
+#FONT=neep9
 
 CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I/usr/X11R6/include -I/usr/local/include -W
 
@@ -29,11 +33,11 @@
 fontsize.h: font1.xbm font2.xbm
 	fgrep -h "#define" font1.xbm font2.xbm >fontsize.h
 
-font1.xbm: bdf2xbm vtxt-latin-1.bdf
-	./bdf2xbm font1 <vtxt-latin-1.bdf >font1.xbm
+font1.xbm: bdf2xbm $(FONT)-latin-1.bdf
+	./bdf2xbm font1 <$(FONT)-latin-1.bdf >font1.xbm
 
-font2.xbm: bdf2xbm vtxt-latin-2.bdf
-	./bdf2xbm font2 <vtxt-latin-2.bdf >font2.xbm
+font2.xbm: bdf2xbm $(FONT)-latin-2.bdf
+	./bdf2xbm font2 <$(FONT)-latin-2.bdf >font2.xbm
 
 bdf2xbm: bdf2xbm.c
 	$(CC) -O -s bdf2xbm.c -o bdf2xbm
@@ -102,15 +106,13 @@
 alevt-cap.o: vt.h misc.h fdset.h dllist.h vbi.h cache.h lang.h export.h
 alevt-date.o: os.h vt.h misc.h fdset.h dllist.h vbi.h cache.h lang.h
 cache.o: misc.h dllist.h cache.h vt.h help.h
-convert.o: vt.h misc.h cache.h dllist.h search.h
 edit.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h edit.h edline.h
 edline.o: vt.h misc.h xio.h dllist.h edline.h
-exp-gfx.o: lang.h misc.h vt.h export.h font.h fontsize.h
+exp-gfx.o: lang.h misc.h vt.h export.h font.h
 exp-html.o: lang.h misc.h vt.h export.h
 exp-txt.o: os.h export.h vt.h misc.h
 export.o: vt.h misc.h export.h
 fdset.o: dllist.h misc.h fdset.h
-font.o: font1.xbm font2.xbm
 hamm.o: vt.h misc.h hamm.h
 help.o: vt.h misc.h vt900.out vt901-02.out vt901-01.out vt902.out vt903.out
 help.o: vt910.out vt911-02.out vt911-01.out vt912-02.out vt912-01.out
@@ -123,4 +125,4 @@
 ui.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h fdset.h edit.h edline.h
 ui.o: search.h export.h ui.h
 vbi.o: os.h vt.h misc.h vbi.h dllist.h cache.h lang.h fdset.h hamm.h
-xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h fontsize.h
+xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h

## alevt 1.6.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,17 @@
-VER=1.6.0
-OPT=-O2 -s
+VER=1.6.2
+OPT=-O2 -s -w
 #OPT=-O -g
 DEFS=-DWITH_PNG
 FONT=vtxt
+USR_X11R6=/usr/X11R6
+#USR_X11R6=/usr
+MAN_DIR=man
+#MAN_DIR=share/man
+HOSTCC=$(CC)
 # a smaller and thinner font
 #FONT=neep9
 
-CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I/usr/X11R6/include -I/usr/local/include -W
+CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I$(USR_X11R6)/include
 
 EXPOBJS=export.o exp-txt.o exp-html.o exp-gfx.o font.o
 OBJS=main.o ui.o xio.o fdset.o vbi.o cache.o help.o edline.o search.o edit.o misc.o hamm.o lang.o $(EXPOBJS)
@@ -14,14 +19,13 @@
 COBJS=alevt-cap.o vbi.o fdset.o misc.o hamm.o lang.o $(EXPOBJS)
 
 ifneq ($(findstring WITH_PNG,$(DEFS)),)
-EXPLIBS=-L/usr/local/lib -lpng -lz -lm
+EXPLIBS=-lpng -lz -lm
 endif
 
 all: alevt alevt-date alevt-cap alevt.1x alevt-date.1 alevt-cap.1
-	sync
 
 alevt: $(OBJS)
-	$(CC) $(OPT) $(OBJS) -o alevt -L/usr/X11R6/lib -lX11 $(EXPLIBS)
+	$(CC) $(OPT) $(OBJS) -o alevt -L$(USR_X11R6)/lib -L$(USR_X11R6)/lib64 -lX11 $(EXPLIBS)
 
 alevt-date: $(TOBJS)
 	$(CC) $(OPT) $(TOBJS) -o alevt-date
@@ -29,7 +33,7 @@
 alevt-cap: $(COBJS)
 	$(CC) $(OPT) $(COBJS) -o alevt-cap $(EXPLIBS)
 
-font.h: fontsize.h
+font.o: font1.xbm font2.xbm
 fontsize.h: font1.xbm font2.xbm
 	fgrep -h "#define" font1.xbm font2.xbm >fontsize.h
 
@@ -40,7 +44,7 @@
 	./bdf2xbm font2 <$(FONT)-latin-2.bdf >font2.xbm
 
 bdf2xbm: bdf2xbm.c
-	$(CC) -O -s bdf2xbm.c -o bdf2xbm
+	$(HOSTCC) bdf2xbm.c -o bdf2xbm
 
 alevt.1x: alevt.1x.in
 	sed s/VERSION/$(VER)/g <alevt.1x.in >alevt.1x
@@ -59,12 +63,14 @@
 	rm -f alevt.html
 
 rpm-install: all
-	install -m 0755 alevt		${RPM_BUILD_ROOT}/usr/X11R6/bin
-	install -m 0755 alevt-date	${RPM_BUILD_ROOT}/usr/X11R6/bin
-	install -m 0755 alevt-cap	${RPM_BUILD_ROOT}/usr/X11R6/bin
-	install -m 0644 alevt.1x	${RPM_BUILD_ROOT}/usr/X11R6/man/man1
-	install -m 0644 alevt-date.1	${RPM_BUILD_ROOT}/usr/X11R6/man/man1
-	install -m 0644 alevt-cap.1	${RPM_BUILD_ROOT}/usr/X11R6/man/man1
+	install -m 0755 alevt        ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
+	install -m 0755 alevt-date   ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
+	install -m 0755 alevt-cap    ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
+	install -m 0644 alevt.1x     ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
+	install -m 0644 alevt-date.1 ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
+	install -m 0644 alevt-cap.1  ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
+	install -d 0755 $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
+	install -m 0644 contrib/mini-alevt.xpm $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
 
 # anything below this line is just for me!
 
@@ -76,7 +82,6 @@
 	install -m 0644 alevt-date.1	/usr/local/man/man1
 	install -m 0644 alevt-cap.1	/usr/local/man/man1
 	install -m 0644 contrib/mini-alevt.xpm /usr/include/X11/pixmaps
-	sync
 
 depend:
 	makedepend -Y -- $(CFLAGS_none) -- *.c 2>/dev/null
@@ -108,11 +113,12 @@
 cache.o: misc.h dllist.h cache.h vt.h help.h
 edit.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h edit.h edline.h
 edline.o: vt.h misc.h xio.h dllist.h edline.h
-exp-gfx.o: lang.h misc.h vt.h export.h font.h
+exp-gfx.o: lang.h misc.h vt.h export.h font.h fontsize.h
 exp-html.o: lang.h misc.h vt.h export.h
 exp-txt.o: os.h export.h vt.h misc.h
 export.o: vt.h misc.h export.h
 fdset.o: dllist.h misc.h fdset.h
+font.o: font1.xbm font2.xbm
 hamm.o: vt.h misc.h hamm.h
 help.o: vt.h misc.h vt900.out vt901-02.out vt901-01.out vt902.out vt903.out
 help.o: vt910.out vt911-02.out vt911-01.out vt912-02.out vt912-01.out
@@ -125,4 +131,4 @@
 ui.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h fdset.h edit.h edline.h
 ui.o: search.h export.h ui.h
 vbi.o: os.h vt.h misc.h vbi.h dllist.h cache.h lang.h fdset.h hamm.h
-xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h
+xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h fontsize.h

## alevt 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-VER=1.6.2
-OPT=-O2 -s -w
+VER=1.8.0
+OPT=-O2 -g -w
 #OPT=-O -g
 DEFS=-DWITH_PNG
+#DEFS+=-DUSE_LIBZVBI
 FONT=vtxt
 USR_X11R6=/usr/X11R6
 #USR_X11R6=/usr
@@ -10,6 +11,8 @@
 HOSTCC=$(CC)
 # a smaller and thinner font
 #FONT=neep9
+DESTDIR=
+PREFIX=/usr/local
 
 CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I$(USR_X11R6)/include
 
@@ -19,7 +22,11 @@
 COBJS=alevt-cap.o vbi.o fdset.o misc.o hamm.o lang.o $(EXPOBJS)
 
 ifneq ($(findstring WITH_PNG,$(DEFS)),)
-EXPLIBS=-lpng -lz -lm
+EXPLIBS=-lpng
+endif
+ifneq ($(findstring USE_LIBZVBI,$(DEFS)),)
+ZVBILIB=-lzvbi -lpthread
+EXPLIBS+=$(ZVBILIB)
 endif
 
 all: alevt alevt-date alevt-cap alevt.1x alevt-date.1 alevt-cap.1
@@ -28,20 +35,26 @@
 	$(CC) $(OPT) $(OBJS) -o alevt -L$(USR_X11R6)/lib -L$(USR_X11R6)/lib64 -lX11 $(EXPLIBS)
 
 alevt-date: $(TOBJS)
-	$(CC) $(OPT) $(TOBJS) -o alevt-date
+	$(CC) $(OPT) $(TOBJS) -o alevt-date $(ZVBILIB)
 
 alevt-cap: $(COBJS)
 	$(CC) $(OPT) $(COBJS) -o alevt-cap $(EXPLIBS)
 
-font.o: font1.xbm font2.xbm
-fontsize.h: font1.xbm font2.xbm
-	fgrep -h "#define" font1.xbm font2.xbm >fontsize.h
+font.o: font1.xbm font2.xbm font3.xbm font4.xbm
+fontsize.h: font1.xbm font2.xbm font3.xbm font4.xbm
+	fgrep -h "#define" font1.xbm font2.xbm font3.xbm font4.xbm >fontsize.h
 
 font1.xbm: bdf2xbm $(FONT)-latin-1.bdf
 	./bdf2xbm font1 <$(FONT)-latin-1.bdf >font1.xbm
 
 font2.xbm: bdf2xbm $(FONT)-latin-2.bdf
 	./bdf2xbm font2 <$(FONT)-latin-2.bdf >font2.xbm
+
+font3.xbm: bdf2xbm vtxt-koi8.bdf
+	./bdf2xbm font3 <vtxt-koi8.bdf >font3.xbm
+
+font4.xbm: bdf2xbm vtxt-iso8859-7.bdf
+	./bdf2xbm font4 <vtxt-iso8859-7.bdf >font4.xbm
 
 bdf2xbm: bdf2xbm.c
 	$(HOSTCC) bdf2xbm.c -o bdf2xbm
@@ -75,13 +88,16 @@
 # anything below this line is just for me!
 
 install: all
-	install -m 0755 alevt		/usr/local/bin
-	install -m 0755 alevt-date	/usr/local/bin
-	install -m 0755 alevt-cap	/usr/local/bin
-	install -m 0644 alevt.1x	/usr/local/man/man1
-	install -m 0644 alevt-date.1	/usr/local/man/man1
-	install -m 0644 alevt-cap.1	/usr/local/man/man1
-	install -m 0644 contrib/mini-alevt.xpm /usr/include/X11/pixmaps
+	install -m 0755 -d		$(DESTDIR)$(PREFIX)/bin
+	install -m 0755 alevt		$(DESTDIR)$(PREFIX)/bin
+	install -m 0755 alevt-date	$(DESTDIR)$(PREFIX)/bin
+	install -m 0755 alevt-cap	$(DESTDIR)$(PREFIX)/bin
+	install -m 0755 -d		$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0644 alevt.1x	$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0644 alevt-date.1	$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0644 alevt-cap.1	$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0755 -d		$(DESTDIR)$(PREFIX)/share/pixmaps
+	install -m 0644 contrib/mini-alevt.xpm $(DESTDIR)$(PREFIX)/share/pixmaps
 
 depend:
 	makedepend -Y -- $(CFLAGS_none) -- *.c 2>/dev/null
@@ -120,7 +136,8 @@
 fdset.o: dllist.h misc.h fdset.h
 font.o: font1.xbm font2.xbm
 hamm.o: vt.h misc.h hamm.h
-help.o: vt.h misc.h vt900.out vt901-02.out vt901-01.out vt902.out vt903.out
+help.o: vt.h misc.h vt900.out vt902.out vt903.out
+help.o: vt901-04.out vt901-03.out vt901-02.out vt901-01.out
 help.o: vt910.out vt911-02.out vt911-01.out vt912-02.out vt912-01.out
 help.o: vt913.out vt914-02.out vt914-01.out vt915.out vt999.out
 lang.o: misc.h vt.h lang.h

=== debian/changelog ===
alevt (1:1.8.0-2) unstable; urgency=low

  * debian/control: Update to Standards-Version 4.5.0 (no changes).

 -- Göran Weinholt <weinholt@debian.org>  Tue, 21 Jan 2020 20:38:34 +0100

alevt (1:1.8.0-1) experimental; urgency=low

  * New upstream release (closes: #569196, #898515, #898517).
  * debian/control: New maintainer (closes: #532093).
  * debian/control: New homepage.
  * debian/patches: All patches are integrated upstream.
  * debian/README.source: Remove note about quilt.
  * debian/source/format: Set to 3.0 (quilt).
  * debian/alevt.docs: Add README.md and README.old, remove README.source.
  * debian/alevt.postinst: Remove obsolete /dev/MAKEDEV call and purging
    of the debconf database no longer used since 2002.
  * debian/compat: Update to 12.
  * debian/rules: Switch from cdbs to debhelper.
  * debian/control: Remove cdbs dependency and update debhelper version.
  * debian/control: Remove quilt dependency.
  * debian/control: Mention support for DVB receivers.
  * debian/control: Switch to priority optional.
  * debian/control: Update to Standards-Version 4.3.0 (no changes).
  * debian/control: Remove unnecessary udev | makedev dependency.
  * debian/watch: Adapt to new upstream.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 21 Apr 2019 14:21:43 +0200

alevt (1:1.6.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpn16 (Closes: #650483)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Jan 2016 21:45:34 +0100

alevt (1:1.6.2-5) unstable; urgency=low

  * Make udev|makedev dependency Linux-only (closes: #666508). Thanks to
    Robert Millan for the patch.
  * Bump Standards-Version to 3.9.3 (no changes).
  * debian/rules: Don't set DEB_DH_INSTALLCHANGELOGS_ARGS, "CHANGELOG" is
    now detected by cdbs; cdbs build-dependency version tightened
    accordingly.
  * debian/rules: Pass $(CPPFLAGS) and $(LDFLAGS) to upstream Makefile
    (fixes lintian warnings wrt. hardending).

 -- Andreas Rottmann <rotty@debian.org>  Tue, 29 May 2012 14:36:11 +0200

alevt (1:1.6.2-4) unstable; urgency=low

  * Changed menu section to "Applications/TV and Radio" (closes: #564223).

 -- Andreas Rottmann <rotty@debian.org>  Sun, 10 Jan 2010 21:26:43 +0100

alevt (1:1.6.2-3) unstable; urgency=low

  * Upload to unstable.
  * Package now uses guilt instead of topgit.
  
  Dirk Schuster:
  
  * New patch features/x11-errormessage: Display a "device-not-found"
    error messages also in X11 window, not only only stderr (closes:
    #299346).
  * New patch features/help-additions: Several improvements to the
    built-in help (both X11 and command-line --help).
  * features/dvb-demux: Tweaks to the manpages.
  * features/cosmetics: Show correct window size in help pages.

 -- Andreas Rottmann <rotty@debian.org>  Mon, 30 Nov 2009 18:00:19 +0100

alevt (1:1.6.2-2) experimental; urgency=low

  Dirk Schuster:
  
  * features/dvb-demux: Added manpage description of the new options:
    -progname and -pid (closes: #546891).
  * features/vbi-name: Include DVB device name in search list (closes: #548441).
  
  Andreas Rottmann:
  
  * features/vbi-name: Show list of tried devices in error message when no
    device is found.
  * Standards-Version 3.8.3 (for real, this time -- no further changes).
  * Added README.source pointing to tg2quilt HOWTO and alioth repository.
  * Install ReadmeGR (Greek README) in /usr/share/doc/alevt.

 -- Andreas Rottmann <rotty@debian.org>  Sat, 26 Sep 2009 19:50:28 +0200

alevt (1:1.6.2-1) experimental; urgency=low

  * New upstream version (closes: #527299):
    - Contains v4l2 support (closes: #345229)
    - Obsoletes the following patches: 
      + 27_gcc4.dpatch
      + 30_alevt.man.dpatch
      + 35_alevt-cap.man.dpatch
      + 45_v4l2.dpatch
      + 99-undo-brain-fuckage.dpatch
  * Switched the package to git-buildpackage/topgit:
    - Build-Depend on quilt instead of dpatch.
    - 25_buildsystem.dpatch is now branch features/destdir
    - 20_alevt-1.6.1.rus.dpatch is now branch features/l10n-russian
    - 40_vbi_name.dpatch is now branch features/vbi-name
  * New patch: features/dvb-demux.
    Adds DVB support.
  * New patch: features/l10-greek.
    This is essentially the interdiff between the between
    contrib/alevt-1.6.1.rus.diff.gz and contrib/alevt-1.6.1.rus+greek.diff.gz.
  * New patch: fixes/cosmetics.
    Fixes a few cosmetic issues in the man pages, help output, 
    and page 901-2.
  * Bumped debhelper compat level and Build-Depends to 7.
  * Bumped Standards-Version to 3.8.3:
    - Upgraded Homepage pseudo-field to Homepage field in source package.

 -- Andreas Rottmann <rotty@debian.org>  Sat, 22 Aug 2009 15:54:12 +0200

alevt (1:1.6.1-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use correct patch to prevent installation failing in postinst - MAKEDEV will
    take care of creating devices in /dev/.static when it detects that udev is
    active. Thanks to Adeodato Simó for the updated patch. (Closes: #502824)

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Nov 2008 21:32:05 +0000

alevt (1:1.6.1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support in postinst for building video4linux devices in /dev/.static as
    well as /dev. (Closes: #502824)

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Oct 2008 23:56:47 +0100

alevt (1:1.6.1-10) unstable; urgency=low

  * Update 40_vbi_name.dpatch to make also alevt-cap and alevt-date try
    the default devices. Patch by Albert Dengg, thanks! (closes: #440522).

 -- Andreas Rottmann <rotty@debian.org>  Wed, 12 Sep 2007 16:15:20 +0200

alevt (1:1.6.1-9) unstable; urgency=low

  * 40_vbi_name.dpatch: Also try /dev/video0 if both /dev/vbi and
    /dev/vbi0 fail (closes: #428298).
  * postinst: Use /dev/MAKEDEV instead of /sbin/MAKEDEV.
  * Depend on 'udev | makedev' instead of 'makedev' (closes: #436997).
  * 45_v4l2.dpatch: New patch intended to fix alevt under Video4Linux
    v2, taken from Gentoo portage (alevt-1.6.1-v4l2.patch,


=== debian/control ===
Source: alevt
Section: x11
Priority: optional
Maintainer: Göran Weinholt <weinholt@debian.org>
Build-Depends: debhelper (>> 12), libpng-dev, libx11-dev
Standards-Version: 4.3.0
Homepage: https://gitlab.com/alevt/alevt

Package: alevt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 Teletext/Videotext browser 
 AleVT is an X11 program for browsing and searching Teletext/Videotext
 pages received by a compatible decoder (bttv and DVB receivers).
 .
 Features include:
 .
   * Multiple windows
   * Page cache
   * Regular expression searching
   * Built-in manual
 .
 Additional command line utilities can
 .
   * receive the time from Teletext/Videotext
   * capture pages and write them to disk
 .
 Teletext/Videotext is used by TV channels to transmit textual
 information pages (it's transmitted via non-visible scan lines).

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v?(\d\S+)\/alevt.*\.tar\.gz/alevt-$1\.tar\.gz/g \
  https://gitlab.com/alevt/alevt/tags?sort=updated_desc .*/archive/v?(\d\S+)/.*\.tar\.gz.*

## alevt 1.8.2

=== debian/changelog ===
alevt (1:1.8.2-2) unstable; urgency=medium

  * Add missing build-dependency on pkgconf (closes: #1077061).

 -- Gwen Weinholt <weinholt@debian.org>  Fri, 26 Jul 2024 14:42:47 +0200

alevt (1:1.8.2-1) unstable; urgency=medium

  * New upstream release (closes: #1074805).
  * debian: Fix my name.
  * debian/watch: Update for changes GitLab made recently.
  * Use the .desktop file from upstream instead of our own menu file.

 -- Gwen Weinholt <weinholt@debian.org>  Thu, 25 Jul 2024 11:28:37 +0200

## alevt 1.8.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=1.8.0
+VER=1.8.2
 OPT=-O2 -g -w
 #OPT=-O -g
 DEFS=-DWITH_PNG
@@ -16,26 +16,30 @@
 
 CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I$(USR_X11R6)/include
 
+PKGS="x11"
+
 EXPOBJS=export.o exp-txt.o exp-html.o exp-gfx.o font.o
 OBJS=main.o ui.o xio.o fdset.o vbi.o cache.o help.o edline.o search.o edit.o misc.o hamm.o lang.o $(EXPOBJS)
 TOBJS=alevt-date.o vbi.o fdset.o misc.o hamm.o lang.o
 COBJS=alevt-cap.o vbi.o fdset.o misc.o hamm.o lang.o $(EXPOBJS)
 
 ifneq ($(findstring WITH_PNG,$(DEFS)),)
-EXPLIBS=-lpng
+PKGS+="libpng"
 endif
 ifneq ($(findstring USE_LIBZVBI,$(DEFS)),)
-ZVBILIB=-lzvbi -lpthread
-EXPLIBS+=$(ZVBILIB)
+PKGS+="zvbi-0.2"
 endif
+CFLAGS+=$(shell pkg-config --cflags $(PKGS))
+EXPLIBS=$(shell pkg-config --libs $(PKGS))
+
 
 all: alevt alevt-date alevt-cap alevt.1x alevt-date.1 alevt-cap.1
 
 alevt: $(OBJS)
-	$(CC) $(OPT) $(OBJS) -o alevt -L$(USR_X11R6)/lib -L$(USR_X11R6)/lib64 -lX11 $(EXPLIBS)
+	$(CC) $(OPT) $(OBJS) -o alevt $(EXPLIBS)
 
 alevt-date: $(TOBJS)
-	$(CC) $(OPT) $(TOBJS) -o alevt-date $(ZVBILIB)
+	$(CC) $(OPT) $(TOBJS) -o alevt-date $(EXPLIBS)
 
 alevt-cap: $(COBJS)
 	$(CC) $(OPT) $(COBJS) -o alevt-cap $(EXPLIBS)
@@ -82,7 +86,10 @@
 	install -m 0644 alevt.1x     ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
 	install -m 0644 alevt-date.1 ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
 	install -m 0644 alevt-cap.1  ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
-	install -d 0755 $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
+	install -m 0755 -d $(RPM_BUILD_ROOT)/usr/share/applications
+	install -m 0644 alevt.desktop ${RPM_BUILD_ROOT}/usr/share/applications
+	install -m 0755 -d $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
+	install -m 0644 contrib/icon48x48.xpm $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps/alevt.xpm
 	install -m 0644 contrib/mini-alevt.xpm $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
 
 # anything below this line is just for me!
@@ -96,7 +103,10 @@
 	install -m 0644 alevt.1x	$(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 0644 alevt-date.1	$(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 0644 alevt-cap.1	$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0755 -d		$(DESTDIR)$(PREFIX)/share/applications
+	install -m 0644 alevt.desktop	$(DESTDIR)$(PREFIX)/share/applications
 	install -m 0755 -d		$(DESTDIR)$(PREFIX)/share/pixmaps
+	install -m 0644 contrib/icon48x48.xpm $(DESTDIR)$(PREFIX)/share/pixmaps/alevt.xpm
 	install -m 0644 contrib/mini-alevt.xpm $(DESTDIR)$(PREFIX)/share/pixmaps
 
 depend:

=== debian/changelog ===
alevt (1:1.8.3-1) unstable; urgency=medium

  * New upstream release. Fixes a build error with GCC 15.
    Thanks to Matthias Klose for the report (closes: #1096296).
  * debian/patches/do_not_hardcode_cflags: Do not override default
    build flags (closes: #1099427).
  * debian/watch: Rewrite using version 5 of the format, fixing yet
    another breakage caused by GitLab changes.

 -- Gwen Weinholt <weinholt@debian.org>  Thu, 11 Sep 2025 19:44:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: alevt
 Section: x11
 Priority: optional
-Maintainer: Göran Weinholt <weinholt@debian.org>
-Build-Depends: debhelper (>> 12), libpng-dev, libx11-dev
+Maintainer: Gwen Weinholt <weinholt@debian.org>
+Build-Depends: debhelper (>> 12),
+  libpng-dev,
+  libx11-dev,
+  pkgconf
 Standards-Version: 4.3.0
 Homepage: https://gitlab.com/alevt/alevt
 
 Package: alevt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: X11 Teletext/Videotext browser 
+Description: X11 Teletext/Videotext browser
  AleVT is an X11 program for browsing and searching Teletext/Videotext
  pages received by a compatible decoder (bttv and DVB receivers).
  .
@@ -27,4 +30,3 @@
  .
  Teletext/Videotext is used by TV channels to transmit textual
  information pages (it's transmitted via non-visible scan lines).
-

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr DESTDIR=$(shell pwd)/debian/tmp

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.com/alevt/alevt
Release-Only: yes
Uversion-Mangle: s/^v//i
Oversion-Mangle: s/^v//i
Filename-Mangle: s%.*/archive\.tar\.gz\?sha=v?(@ANY_VERSION@)%@PACKAGE@-$1.tar.gz%
